quassel (1:0.14.0-3ubuntu2) questing; urgency=medium

  * Re-enable building for riscv64 (LP: #2121427)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 26 Aug 2025 00:07:04 +0200

quassel (1:0.14.0-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. (LP: #2115232)  Remaining changes:
    - Add d/patches/01_change_default_libera_channel.patch. Replaces default
    #quassel channel with #ubuntu.
    - Remove d/patches/01_default_network_channel.patch. Superseded by the
    previous libera channel patch.
    - Update apparmor profile to allow running in lxd.
    - Limit the build to only those architectures supported by QtWebEngine 5
  * Drop Changes:
    - Drop build-dependency on qtwebkit. (Closes: 1098332)

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Mon, 23 Jun 2025 21:24:23 -0500

quassel (1:0.14.0-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on qtwebkit. (Closes: #1098332)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 21 Feb 2025 18:24:24 +0100

quassel (1:0.14.0-2ubuntu4) plucky; urgency=medium

  * Remove the build dependency on QtWebKit 5, and limit the build to only
    those architectures supported by QtWebEngine 5 (LP: #2100639).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 23:12:53 -0600

quassel (1:0.14.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:09:03 +0000

quassel (1:0.14.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:57:50 +0000

quassel (1:0.14.0-2ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Add d/patches/01_change_default_libera_channel.patch. Replaces default
      #quassel channel with #ubuntu.
    - Remove d/patches/01_default_network_channel.patch. Superseded by the
      previous libera channel patch.
    - Update apparmor profile to allow running in lxd.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Jul 2023 18:41:56 +0100

quassel (1:0.14.0-2) unstable; urgency=medium

  * Team upload.

  [ Christian Göttsche ]
  * Update blhc configuration

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Fix day-of-week for changelog entries 0.5.1-2, 0.3.1+dfsg-2, 0.3.1+dfsg-1.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Adrian Bunk ]
  * qtwebengine5-dev is now available on mips64el.

  [ Pino Toscano ]
  * Update standards version to 4.6.2, no changes needed.
  * Drop patch 02_script_interpreter_path.patch, as now dh_perl rewrites perl
    shebangs.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Switch the list of architectures for libqt5webkit5-dev to be a negated
    version of the ones for qtwebengine5-dev, so it is easier to maintain.
  * Remove inactive Uploaders.
  * Drop the obsolete lsb-base dependency.
  * Use chrpath to drop the extra RPATH set in binaries.
  * Remove the custom inxi script directly during dh_auto_install, rather than
    with extra checks during dh_install.
  * Use execute_after_dh_install to avoid invoking dh_install manually.
  * Use the ${perl:Depends} substvar in quassel-data.
  * CI: do not consider lintian warnings as fatal.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jul 2023 09:18:22 +0200

quassel (1:0.14.0-1ubuntu5) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:54:34 +0000

quassel (1:0.14.0-1ubuntu4) kinetic; urgency=medium

  * Remove d/patches/01_default_network_channel.patch
    - Superseded
  * Add d/patches/01_change_default_libera_channel.patch
    - Replaces default #quassel channel with #ubuntu (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 06 Jul 2022 19:41:57 -0700

quassel (1:0.14.0-1ubuntu3) kinetic; urgency=medium

  * d/patches/01_default_network_channel.patch
    - Fix network name from DebianIRC to UbuntuIRC (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 06 Jul 2022 10:43:03 -0700

quassel (1:0.14.0-1ubuntu2) kinetic; urgency=medium

  * d/patches/01_default_network_channel.patch
    - Update to point to #ubuntu on irc.libera.chat by default (LP: #1980687)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 04 Jul 2022 11:26:24 -0700

quassel (1:0.14.0-1ubuntu1) kinetic; urgency=medium

  * d/usr.bin.quasselcore:
    - Update apparmor profile to allow running in lxd (LP: #1814302)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 12 Jun 2022 20:52:19 +0100

quassel (1:0.14.0-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:28:49 +0000

quassel (1:0.14.0-1) unstable; urgency=medium

  * Update d/watch to version 4 and to point to the new upstream location
  * Delete d/patches/qt514 and update d/p/series due to new release
  * New upstream release
    - Refresh patches
  * Add libboost-dev to build-depends
  * Update d/quassel-data.install for current install locations
  * Update d/rules to not build shared library: ENABLE_SHARED=OFF
  * Add libldap2-dev to build-depends to enable support for LDAP
    authentication
  * Add NEWS entry about new database and config file formats
  * Update quasselcore.1 for 0.14.0

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Jan 2022 17:29:46 -0500

quassel (1:0.13.1-5) unstable; urgency=medium

  [ Christian Göttsche ]
  * Start quasselcore with --require-ssl (Closes: #950244)

  [ Felix Geyer ]
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 12 Feb 2021 18:40:17 +0100

quassel (1:0.13.1-4) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add explicit build-depeds on debhelper (>= 10.3~) since we use dh_missing
  * Bump standards-version to 4.5.0 without further change
  * Add Recommends: ca-certificates to quassel and quassel-client so network
    certificates can be verified

  [ Felix Geyer ]
  * Add patches to fix building against Qt 5.14 from Ubuntu.
    Thanks Dan Streetman! (Closes: #964687)

 -- Felix Geyer <fgeyer@debian.org>  Mon, 13 Jul 2020 23:13:31 +0200

quassel (1:0.13.1-3) unstable; urgency=medium

  * Delete quassel-core.NEWS, not needed
  * Bump standards version to 4.4.1 without further change
  * Switch from debian/compat + debhelper to debhelper-compat

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Jan 2020 15:55:00 -0500

quassel (1:0.13.1-2) unstable; urgency=medium

  [ Felix Geyer ]
  * Fix quasselcore AppArmor denials when the config is saved. (Closes:
    #940482)

  [ Scott Kitterman ]
  * Correct default channel for Debian
  * Add NEWS entry about reloading the quaseelcore AppArmor profile

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Jan 2020 15:00:28 -0500

quassel (1:0.13.1-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream bugfix release
  * Do not explicitly set DEMBED_DATA=OFF, it is the default when KDE (Kf5)
    integration is enabled
  * Update debian/copyright
  * Add hurd-i386 to libqt5webkit5-dev build-depends arch list, since it is
    available there

  [ Shane Synan ]
  * Clean up and update manpages with new options for Quassel 0.13.1

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Feb 2019 13:00:08 -0500

quassel (1:0.13.0-4) unstable; urgency=medium

  * Fix install of ufw profile so install is only attempted for quassel-core
    (fixes arch all FTBFS)
  * Replace obsolete dh_install --fail-missing with dh_missing --fail-missing

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Jan 2019 04:33:59 -0500

quassel (1:0.13.0-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Make quassel-data Multi-Arch: foreign
  * Add apparmor profile (adopted from Ubuntu)
  * Bump standards-version to 4.3.0 without further change

  [ Michael Marley ]
  * Add reload support to quasselcore service to re-read SSL certificates
  * Add ufw profile (adopted from Ubuntu)

  [ Shane Synan ]
  * Clean up and update manpages with new options for Quassel 0.13.0
  * Update manpages to mention file paths for quassel, quasselclient, and
    quasselcore (Closes: #724617)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Jan 2019 23:45:11 -0500

quassel (1:0.13.0-2) unstable; urgency=medium

  * Upload to unstable
  * Set -DWITH_OXYGEN_ICONS for compatibility for Oxygen users
  * Add oxygen-icon-theme as an alternative Recommends to breeze-icon-theme
  * Make debian/NEWS specific to quassel-core and quassel binaries

 -- Scott Kitterman <scott@kitterman.com>  Wed, 05 Dec 2018 00:34:55 -0500

quassel (1:0.13.0-1) experimental; urgency=medium

  * New upstream release (Closes: #915244)
    - Delete debian/patches/03_force_icon_theme.patch, fixed upstream
    - Refresh remaining patch
  * Add libqt5webkit5-dev to build depends for archs where qtwebengine5-dev is
    not available and update the qtwebengine5-dev arch list
  * Set web backend during configure in debian/rules (Thanks to Michael
    Marley)
  * Update debian/copyright
  * Add debian/NEWS item suggesting a backup of the database
  * Add debian/patches/02_script_interpreter_path.patch to use correct path in
    scripts
  * Bump standards-version to 4.2.1 without further change
  * Add qtmultimedia5-dev to build-depends
  * Update debian/patches/01_default_network_channel.patch to connect via SSL
    (TLS) when possible
  * Add symlink to usr/bin/mpris-quassel from usr/share/quassel/scripts/mpris
    so the script is available on the system path
  * Change recommended icon theme to breeze-icon-theme to match Plasma default
  * Include quassel unique icons for breeze and breeze-dark icon themes

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Dec 2018 17:27:44 -0500

quassel (1:0.12.5-3) unstable; urgency=medium

  * Change postinst script to call runuser instead of su. (Closes: #906794)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 07 Oct 2018 16:43:33 +0200

quassel (1:0.12.5-2) unstable; urgency=high

  * Build-depend on qtwebengine5-dev only for archs where it's available.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 25 Apr 2018 22:58:59 +0200

quassel (1:0.12.5-1) unstable; urgency=high

  * New upstream release.
    - Fixes a deserialization security vulnerability.
    - Fixes a DoS while quassel is starting up.
  * Drop Fix_the_ssl_check_with_Qt_5.6_and_gcc_5.patch, applied upstream.
  * Build against Qt WebEngine instead of QtWebKit, following upstream.
  * Move git repo to salsa.debian.org

 -- Felix Geyer <fgeyer@debian.org>  Wed, 25 Apr 2018 19:58:02 +0200

quassel (1:0.12.4-3) unstable; urgency=medium

  * Depend on default-dbus-session-bus | dbus-session-bus instead of dbus-x11.
    (Closes: #836142)
  * Provide support for --listen option in the init script and systemd service.
    (Closes: #590645)
  * Fix the OpenSSL detection.
    - Add Fix_the_ssl_check_with_Qt_5.6_and_gcc_5.patch,
      cherry picked from upstream.
  * Switch to debhelper compat level 10.
  * quassel-core postinst: chmod/chown only after creating the files/dirs.
  * Remove transitional packages quassel-kde4 and quassel-client-kde4.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 08 Feb 2018 18:31:06 +0100

quassel (1:0.12.4-2) unstable; urgency=medium

  * Fix FTBFS when building only architecture dependent packages.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 26 Apr 2016 19:10:51 +0200

quassel (1:0.12.4-1) unstable; urgency=medium

  * New upstream release.
  * quassel-core: Add libqt5sql5-psql to Suggests since PostgreSQL is supported
    as an alternative backend. (Closes: #552374)
  * Pass service name to dh_systemd_*. (Closes: #811149)
  * Replace bundled inxi script with a symlink to the one provided by pkg:inxi.
    (Closes: #814278)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 26 Apr 2016 18:16:53 +0200

quassel (1:0.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that have been applied upstream:
    - 02_set-required-libs-and-flags.patch
    - 04_fix_ftbfs_qt55.patch
    - CVE-2015-8547.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 11 Feb 2016 21:38:13 +0100

quassel (1:0.12.2-3) unstable; urgency=high

  * Fix CVE-2015-8547: op command denial of service issue (Closes: #807801)
    - Add CVE-2015-8547.patch

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Dec 2015 21:25:33 +0100

quassel (1:0.12.2-2) unstable; urgency=medium

  * Fix FTBFS with Qt 5.5. (Closes: #802868)
    - Add 04_fix_ftbfs_qt55.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 29 Oct 2015 17:05:50 +0100

quassel (1:0.12.2-1) unstable; urgency=medium

  [ Felix Geyer ]
  * New upstream release. (Closes: #779726)
  * Remove patches that have been applied upstream:
    - CVE-2014-8483.patch
    - CVE-2015-2778.patch
    - CVE-2015-3427.patch
  * Set maintainer to Debian KDE Extras Team.
  * Add Vcs control fields pointing to the new git packaging repo.
    (Closes: #732605)
  * Drop explicit phonon depenencies, they are automatically added.
  * Build quassel against Qt5 + KF5 libs instead of a Qt4 and a KDE4 variant.
    (Closes: #784519)
    - Remove quassel-data-kde4.
    - Turn quassel-kde4 and quassel-client-kde4 into transitional packages.
  * Enable parallel building.
  * Pass --fail-missing to dh_install.
  * Create the SSL certificate as user quasselcore to avoid a symlink race
    condition. (Closes: #753737)
  * Stop hardcoding the path to deluser / delgroup in postrm.
  * Enable all hardening build flags.
  * Build with -Wl,--as-needed.
  * Fix detection of OpenSSL when building against Qt5.
    - Add 02_set-required-libs-and-flags.patch from openSUSE.
  * Work around missing icon theme fallback in KF5.
    - Add 03_force_icon_theme.patch
    - Add oxygen-icon-theme to quassel-data/Recommends.

  [ Scott Kitterman ]
  * Add systemd service file and associated changes for quasselcore.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 10 Sep 2015 22:44:32 +0200

quassel (1:0.10.0-2.4) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2015-3427: SQL injection vulnerability in PostgreSQL backend.
    (Closes: #783926)
    - Add debian/patches/CVE-2015-3427.patch, cherry-picked from upstream.
    - The original issue was CVE-2013-4422 which had an incomplete fix.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 05 May 2015 16:48:57 +0200

quassel (1:0.10.0-2.3) unstable; urgency=high

  * Non-maintainer upload with maintainer's permission.
  * Improve the message-splitting algorithm for PRIVMSG and CTCP.  Original
    patch from Michael Marley, backported by Steinar H. Gunderson.  Fixes
    CVE-2015-2778 and CVE-2015-2779.  (Closes: #781024)

 -- Olly Betts <olly@survex.com>  Wed, 01 Apr 2015 11:41:28 +1300

quassel (1:0.10.0-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Increment Debian revision and epoch to re-upload 0.10.0-2.1 to
    unstable containing the fix for #766962 / CVE-2014-8483:
    out-of-bounds read in ECB Blowfish decryption.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 08 Nov 2014 14:14:56 +0100

quassel (0.10.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2014-8483.patch patch.
    CVE-2014-8483: out-of-bounds read in ECB Blowfish decryption.
    (Closes: #766962)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Nov 2014 19:10:58 +0100

quassel (0.10.0-2) unstable; urgency=low

  * Fixing security issue where quassel core certificate is
    readable by all local users
    - Change permissions of /var/lib/quassel/quasselCert.pem
    - Add debian/NEWS to notify the admin to change the certificate

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Fri, 04 Jul 2014 17:15:10 +0200

quassel (0.10.0-1) unstable; urgency=low

  * New upstream release
  * Debian policy to 3.9.5
  * Don't create 1024 bit key (Closes: #732728)
  * Start quaselcore after databases (Closes: #701943)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Fri, 09 May 2014 17:42:19 +0200

quassel (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Increase debhelper compat to 9 - supporting hardening now

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 26 Nov 2013 22:53:55 +0100

quassel (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 05 Nov 2013 17:39:26 +0100

quassel (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Debian Policy to 3.9.3

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Wed, 25 Apr 2012 00:02:51 +0200

quassel (0.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to upgrade from squeeze": test for existence of to-be-moved
    file in quassel-core.preinst; and use -p for mkdir to avoid errors when
    the directory exists, like after failed upgrades.
    (Closes: #655844)

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Apr 2012 19:02:42 +0200

quassel (0.7.3-2) unstable; urgency=medium

  * Change Build-Depends of the package from libpng12-dev to libpng-dev.
    (Closes: #662486)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 05 Mar 2012 09:27:50 +0100

quassel (0.7.3-1) unstable; urgency=medium

  * New upstream release
  * Translation update
  * Fixing security issue: ctcp DoS (Closes: #640960)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Fri, 09 Sep 2011 19:00:55 +0000

quassel (0.7.2-2) unstable; urgency=low

  * DATADIR set to new location /var/lib/ (Closes: #629507)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 07 Jun 2011 19:01:51 +0000

quassel (0.7.2-1) unstable; urgency=low

  * New upstream release (Closes: #629393)
  * Clients no longer recommend quassel-core (Closes: #622904)
  * Debian Policy to 3.9.2
  * quassel-core.preinst added - taken from Ubuntu (Closes: #612042)
    Thanks to Scott Kitterman <scott@kitterman.com>

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 06 Jun 2011 20:40:24 +0200

quassel (0.7.1-4) unstable; urgency=low

  * 0.7.1-3 lost the kfreebsd patch of 0.7.1-2

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 14 Apr 2011 20:08:27 +0200

quassel (0.7.1-3) unstable; urgency=low

  * Build-dependency qt4-dev-tools added (Closes: #613599)
  * Build-dependency libqtwebkit-dev added (Closes: #622273)
  * Build-dependency libdbusmenu-qt-dev added
  * Build-dependency libindicate-qt-dev added

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 12 Apr 2011 22:40:46 +0200

quassel (0.7.1-2) unstable; urgency=low

  * Patch added to fix kfreebsd builds (Closes: #620542)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 11 Apr 2011 21:44:34 +0200

quassel (0.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * Do not hardcode kdelibs5 and kdebase-runtime in quassel-client-kde4 and
    quassel-kde4 Depends (Closes: #616026). kdelibs5 has been deprecated and
    will be removed soon while kdebase-runtime is added via shlibs as needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 30 Mar 2011 18:59:12 +0300

quassel (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 21 Sep 2010 19:59:07 +0200

quassel (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sat, 18 Sep 2010 19:19:40 +0200

quassel (0.6.1-2) unstable; urgency=low

  * add dependency to gawk (closes: #592455)
  * remove manageusers.py (closes: #590644)
  * man pages updated (closes: #590643)
  * dump Debian Policy to 3.9.1

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sun, 15 Aug 2010 23:11:16 +0200

quassel (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * desktop notification have been reimplemented (closes: #562974)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Wed, 21 Apr 2010 20:11:17 +0200

quassel (0.5.2-3) unstable; urgency=low

  * missing name changes quassel-core - in init and default

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 18 Feb 2010 17:12:06 +0100

quassel (0.5.2-2) unstable; urgency=low

  * Re-include init script into (closes: #569942)
  * Fixing lintian error init.d-script-missing-dependency-on-remote_fs

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 18 Feb 2010 17:11:18 +0100

quassel (0.5.2-1) unstable; urgency=low

  * New upstream release (closes: #556309)
  * Fixing minor lintian warnings:
    - copyright-with-old-dh-make-debian-copyright
    - duplicate-long-description
    - quilt-patch-missing-description
  * package descriptions have been reviewed by debian-i10n-english
  * fixing dependencies - thanks to puiparts:
    - quassel-client: phonon
    - quassel: phonon
    - quassel-kde4: kdebase-runtime, kdelibs5
    - quassel-client-kde4: kdebase-runtime, kdelibs5

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 01 Feb 2010 23:41:05 +0100

quassel (0.5.1-3) unstable; urgency=low

  * Conflict dependency added between quassel-data and quassel-data-
    kde4(closes: #566097)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 21 Jan 2010 20:36:09 +0100

quassel (0.5.1-2) unstable; urgency=low

  * KDE4 support enabled (closes: #561795)
    - package quassel-kde4 (monolithic client with KDE) has been added
    - package quassel-client-kde4 (client with KDE) has been added
    - package quassel-data-kde4 (data files) has been added

  * switch from cdbs to debhelper - basic idea taken from the ubuntu package
    thanks guys
  * quilt is used as patch system now

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 11 Jan 2010 12:52:45 +0100

quassel (0.5.1-1) unstable; urgency=low

  * New upstream release
  * dbus-x11 dependency moved to quasselclient & quassel (closes: #552061)
  * remove deprecated usage of argument -datadir (closes: #552373)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sun, 22 Nov 2009 23:44:04 +0100

quassel (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 22 Oct 2009 22:19:05 +0200

quassel (0.5.0~rc2-1) experimental; urgency=low

  * New upstream release (rc2)
  * Make puiparts happy (closes: #538182)
  * manageusers.py added (closes: #549296)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 05 Oct 2009 23:13:06 +0200

quassel (0.4.2-1) unstable; urgency=low

  * New upstream release
  * watch file looks to the *.tar.bz2 directly
    no longer scanning the html page

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 28 May 2009 21:42:24 +0200

quassel (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sun, 29 Mar 2009 12:51:42 +0200

quassel (0.4.0-1) unstable; urgency=low

  * New upstream release
  * repackaging no longer necessary, because svgz of oxygen icons have been
    added to the source tarball:
    - debian/repack.sh removed
    - debian/README.source removed
    - debian/watch adjusted
    - debian/rules: get-orig-source removed
  * debian/copyright updated: license for oxygen icons added
  * debian/quassel-core.logrotate added
  * debian/patcher/01_default_network_channel.patch added

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Wed, 18 Feb 2009 22:14:23 +0100

quassel (0.3.1+dfsg-3) unstable; urgency=low

  * fixing bug on upgrade (closes: #513677)
  * 'set -e' removed from ini script
  * cleanup in quassel-core.postrm

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Wed, 11 Feb 2009 21:14:33 +0100

quassel (0.3.1+dfsg-2) unstable; urgency=low

  * init script added (closes: #513677)
  * user and group for the daemon added (closes: #513677)
  * ssl certificate has been added (closes: #511169)
    All scripts are based on the ubuntu package
    thanks to Harald Sitter <apachelogger@ubuntu.com>
  * Version in manpages have been adjusted.

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Tue, 10 Feb 2009 23:13:25 +0100

quassel (0.3.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * upstream update to 0.3.0.3 (closes: #498283)
  * upstream update to 0.3.0.1 (closes: #498283)
  * watch file added - thx to Per Hausen
  * Downgrade quasselclient's dependency on quasselcore (closes: #503126)
    The packages quassel-client and quassel-core can be installed separately
    now.
    The package quassel is a dummy package, which installs client and core.
  * Additional package for the monolithic client.
  * Repackaging orig.tar.gz to remove the oxygen icons. They are no longer
    needed because we go for the locally installed oxygen icons of the package
    kde-icons-oxygen.
  * License for oxygen removed, because it is no longer part of the package.
  * debian/repack.sh added + bz2 handling
  * debian/README.source
  * debian/watch changed to handle repackaging
  * debian/patches removed - no need to patch anything at the moment
  * debian/control: dependeny libqt4-sql-sqlite added

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Thu, 08 Jan 2009 01:44:23 +0100

quassel (0.2~rc1-1) unstable; urgency=low

  * download link in copyright changed
  * manpage warnings removed
  * update to debian policy 3.8
  * upstream update to 0.2.0-rc1

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Mon, 07 Jul 2008 20:56:53 +0100

quassel (0.2~beta1-1) unstable; urgency=low

  * svg files for oxygen icons added src/icons/oxygen/scalable
  * upstream update to 0.2.0-beta1

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Mon, 02 Jun 2008 20:27:28 +0100

quassel (0.2~alpha5-1) unstable; urgency=low

  * svgz files for oxygen icons added src/icons/oxygen/scalable
  * upstream update to 0.2.0-alpha5

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Mon, 21 Apr 2008 22:20:18 +0100

quassel (0.2~alpha2-3) unstable; urgency=low

  * debian/copyright updated: license for oxygen icons added

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Mon, 24 Mar 2008 20:01:18 +0100

quassel (0.2~alpha2-2) unstable; urgency=low

  * debian/copyright updated

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Wed, 12 Mar 2008 21:48:12 +0100

quassel (0.2~alpha2-1) unstable; urgency=low

  * Debianized

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Sun, 02 Mar 2008 11:40:43 +0100

quassel (0.2~alpha2-0ubuntu1~hardy1~ppa1) hardy; urgency=low

  * Hardy PPA Build

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 01 Mar 2008 21:05:03 +0100

quassel (0.2~alpha2-0ubuntu1) ibex; urgency=low

  * Initial release (LP: #195861)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 23 Feb 2008 14:22:06 +0100
